package com.dskj.trustlend.fragment;

import androidx.lifecycle.ViewModelProviders;

import com.azhon.basic.base.BaseLazyFragment;
import com.dskj.trustlend.R;
import com.dskj.trustlend.databinding.FragmentHomeBinding;
import com.dskj.trustlend.databinding.FragmentIndexBinding;
import com.dskj.trustlend.home.MainViewModel;


/**
 * 主页模块
 * @author xuhuixiang
 */
public class IndexFragment extends BaseLazyFragment<MainViewModel, FragmentIndexBinding>  {
    public static final String TAG = "HomeFragment";

    @Override
    protected int setLayoutResourceID() {
        return R.layout.fragment_index;
    }

    @Override
    protected void setUpView() {


    }


    @Override
    public void onResume() {
        super.onResume();

    }


    @Override
    protected void setUpData() {
        dataBinding.setModel(viewModel);
        dataBinding.setLifecycleOwner(this);
    }


    @Override
    protected MainViewModel initViewModel() {
        return ViewModelProviders.of(getActivity()).get(MainViewModel.class);
    }

    @Override
    protected void showError(Object obj) {

    }

    @Override
    protected void lazyLoad() {

    }


    @Override
    public void onDestroy() {
        super.onDestroy();

    }

}
